Subject: [Bug] X2Go: The remote NX proxy closed the connection

From: "SALBAN, LOUIS ANDREA" <[email-masked]>
Date: Thu, 22 Jul 2021 10:32:34 +0200

Package: x2goserver
Version: 4.1.0.3

When I run x2goclient 4.1.2.2, on my Windows 10 64-bit machine, the
following error appears:
*    Error: The remote NX proxy closed the connection.*

*    Error: Failure negotiating the session in stage '7'.    Error: Wrong
version or invalid session authentication cookie*
The x2goserver 4.1.0.3 and nxagent 3.5.99.26 is installed on a RHEL 8.2
64-bits workstation.

On the RHEL 8.2 workstation, I tried to delete the x2go database and
recreate it without effect:
I also tried to run the x2goagent (see x2goagent.txt) thinking I got a
clearer error, but the x2go windows opened correctly.
I'm completely stuck and don't know what else to do. You will find attached
a maximum of log, hoping that this helps you to see more clearly.

Finally, I would like to point out that I can correctly connect to a second
workstation under RHEL 7.2 64-bits with x2goserver 4.0.1.20 and x2goagent
3.5.0.32.

Thank you.
Regards

*Louis-Andréa SALBAN*

IM Focal point for IYYS
Real-Time Framework - IYYSW
*Airbus Operations SAS Toulouse*

* [email-masked]
The information in this e-mail is confidential. The contents may not be disclosed or used by anyone other than the addressee. Access to this e-mail by anyone else is unauthorised.
If you are not the intended recipient, please notify Airbus immediately and delete this e-mail.
Airbus cannot accept any responsibility for the accuracy or completeness of this e-mail as it has been sent over public networks. If you have any concerns over the content of this message or its Accuracy or Integrity, please contact Airbus immediately.
All outgoing e-mails from Airbus are checked using regularly updated virus scanning software but you should take whatever measures you deem to be appropriate to ensure that this message and any attachments are virus free.